Bug 1252522 - [QE] Wrong default value of option principalClass in RunAs Login Module
[QE] Wrong default value of option principalClass in RunAs Login Module
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.4.0
Unspecified Unspecified
unspecified Severity high
: post-GA
: EAP 6.4.3
Assigned To: Priyanka Nag
FIlip Bogyai
https://access.stage.redhat.com/docum...
: Documentation, EasyFix, Triaged
Depends On:
Blocks: 1233012
  Show dependency treegraph
 
Reported: 2015-08-11 11:38 EDT by FIlip Bogyai
Modified: 2015-12-01 00:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-20 08:52:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description FIlip Bogyai 2015-08-11 11:38:12 EDT
Book: Login Module Reference
Revision: n_1575841_login-module-reference_version_6.4_edition_1.0_release_0-revision_6701191
Section: 9. RUNAS LOGIN MODULE

Issue description:
There is option principalClass in table RunAs Login Module Options with default value "none". However default value of this option is "org.jboss.security.SimplePrincipal".

Suggestions for improvement:
Change principalClass default value from "none" to "org.jboss.security.SimplePrincipal".
Comment 3 FIlip Bogyai 2015-08-25 05:00:52 EDT
Verified in revision "n_1601531_login-module-reference_version_6.4_edition_1.0_release_0-revision_6840221" of https://access.stage.redhat.com/documentation/en/red-hat-jboss-enterprise-application-platform/version-6.4/login-module-reference

Note You need to log in before you can comment on or make changes to this bug.